# QuickBeam-python

QuickBeam is a software package that uses microphysics information from atmospheric models to estimate radar reflectivities using Mie scattering.  The original software was written in FORTRAN and is described in Haynes et al. 2007 (https://doi.org/10.1175/BAMS-88-11-1723).  The original software accounts for attentuation due to gases and hydrometeors.  QuickBeam-python includes part of the original QuickBeam package re-written in python.  Like the original QuickBeam, it uses mie scattering to approximate radar reflectivities from microphysics information but it does not include any attentuation.  It currently works with simulated output from four different microphysics schemes: M2005 (https://doi.org/10.1175/JAS3446.1), Thompson (https://doi.org/10.1175/2008MWR2387.1), P3 (https://doi.org/10.1175/JAS-D-14-0065.1) and SAM1MOM ([https://doi.org/10.1175/1520-0469(2003)060<0607:CRMOTA>2.0.CO;2](https://doi.org/10.1175/1520-0469(2003)060<0607:CRMOTA>2.0.CO;2)).

To run QuickBeam-python, call the radar_simulator function in Quickbeam-python.py.  You will need to download all three files in this project into the same folder on your computer or to edit the paths to P3IceLookupTable.nc and m_ice_tables in Quickbeam-Python.py.
